toolkit/sync/sync-to-staging.sh

29 lines
702 B
Bash
Raw Normal View History

2021-07-05 06:50:25 +00:00
#!/bin/bash
2023-01-13 22:32:50 +00:00
# Short name (eg, NFV, extras, Rocky, gluster9)
SHORT=${1}
# Source common variables
2021-07-06 20:33:22 +00:00
# shellcheck disable=SC2046,1091,1090
source "$(dirname "$0")/common"
2021-07-08 02:54:12 +00:00
if [[ $# -eq 0 ]]; then
echo "You must specify a short name."
exit 1
fi
2021-07-05 06:50:25 +00:00
# Major Version (eg, 8)
2021-07-08 02:54:12 +00:00
MAJ=${RLVER}
2023-05-13 20:44:17 +00:00
#cd "${RELEASE_COMPOSE_ROOT}/compose" || { echo "Failed to change directory"; ret_val=1; exit 1; }
cd "${RELEASE_COMPOSE_ROOT}/" || { echo "Failed to change directory"; ret_val=1; exit 1; }
2021-07-05 06:50:25 +00:00
ret_val=$?
2021-07-05 06:50:25 +00:00
if [ $ret_val -eq "0" ]; then
2021-07-06 20:16:01 +00:00
TARGET="${STAGING_ROOT}/${CATEGORY_STUB}/${REV}"
mkdir -p "${TARGET}"
2023-05-13 20:44:17 +00:00
rsync_no_delete_staging "${TARGET}"
echo "Hardlinking staging directory"
perform_hardlink "${TARGET}"
2021-07-05 06:50:25 +00:00
fi